#ifndef LINEARREGRESSION_H
#define LINEARREGRESSION_H


class LinearRegression
{
public:
    LinearRegression();

    void calcLineRegParams(int n);

    double * xArray;
    double * yArray;

    double intercept = 0.0;
    double slope = 0.0;

private:
    double xAverage = 0.0;
    double yAverage = 0.0;
    double slopeUp = 0.0;
    double slopeDown = 0.0;
};

#endif // LINEARREGRESSION_H
